com::lomiri::location::wgs84::Coordinate< Tag, UnitType > Class Template Reference

`#include <coordinate.h>`

Collaboration diagram for com::lomiri::location::wgs84::Coordinate< Tag, UnitType >:

## Public Types

typedef UnitType | Unit
typedef units::Quantity< Unit > | Quantity

## Public Member Functions

| Coordinate (const Quantity &value=Quantity())
bool | operator== (const Coordinate< Tag, UnitType > &rhs) const
bool | operator!= (const Coordinate< Tag, UnitType > &rhs) const

## Public Attributes

Quantity | value

## Detailed Description

template<typename Tag, typename UnitType>
class com::lomiri::location::wgs84::Coordinate< Tag, UnitType >

Definition at line 42 of file coordinate.h.

## Member Typedef Documentation

## Quantity

template<typename Tag, typename UnitType>

typedef units::Quantity<Unit> com::lomiri::location::wgs84::Coordinate< Tag, UnitType >::Quantity

Definition at line 46 of file coordinate.h.

## Unit

template<typename Tag, typename UnitType>

typedef UnitType com::lomiri::location::wgs84::Coordinate< Tag, UnitType >::Unit

Definition at line 45 of file coordinate.h.

## Constructor & Destructor Documentation

## Coordinate()

template<typename Tag, typename UnitType>

com::lomiri::location::wgs84::Coordinate< Tag, UnitType >::Coordinate | ( | const Quantity & | value = Quantity() | ) |

inline explicit

Definition at line 48 of file coordinate.h.

## Member Function Documentation

## operator!=()

template<typename Tag, typename UnitType>

bool com::lomiri::location::wgs84::Coordinate< Tag, UnitType >::operator!= | ( | const Coordinate< Tag, UnitType > & | rhs | ) | const

inline

Definition at line 59 of file coordinate.h.

## operator==()

template<typename Tag, typename UnitType>

bool com::lomiri::location::wgs84::Coordinate< Tag, UnitType >::operator== | ( | const Coordinate< Tag, UnitType > & | rhs | ) | const

inline

Definition at line 54 of file coordinate.h.

## Member Data Documentation

## value

template<typename Tag, typename UnitType>

Quantity com::lomiri::location::wgs84::Coordinate< Tag, UnitType >::value

Definition at line 64 of file coordinate.h.

Referenced by core::dbus::Codec< com::lomiri::location::wgs84::Coordinate< T, U > >::decode_argument(), core::dbus::Codec< com::lomiri::location::wgs84::Coordinate< T, U > >::encode_argument(), com::lomiri::location::wgs84::Coordinate< tag::Altitude, units::Length >::operator!=(), com::lomiri::location::wgs84::operator-(), com::lomiri::location::wgs84::operator<<(), and com::lomiri::location::wgs84::Coordinate< tag::Altitude, units::Length >::operator==().

The documentation for this class was generated from the following file:

- coordinate.h